<?php

// Input: Brand brand

/** @var \LabBase\Model\Brand $brand */
use LabBase\Model\Image;

/** @var \LabBase\Model\User $user */
$brand = $this->brand;
$user = $this->user;
$isBrandAdmin = $this->isBrandAdmin;
$bannerUrl = $this->bannerUrl;
$counts = $brand->counts;

/*
<div class="infoProfile">
    <div class="miniBox" style="background:url('/images/minicover.png');">
        <div class="extraMiniBox">
            <img src="<?= $brand->getAvatarLink(120); ?>">
        </div>
    </div>
    <h3><?= $brand->name ?></h3>
    <ul class="infoProfileMenu haveit2">
        <li><i class="fa fa-map-marker haveit" aria-hidden="true"></i><p>256 West 36th Street /
                6th Floor
                New York, NY 10018</p></li>
        <li><i class="fa fa-phone haveit" aria-hidden="true"></i><p>+382 55 33 22 220</p></li>
        <li><img class="i haveit" src="/images/web.png"><p>www.loveabrand.com</p></li>
    </ul>
    <div class="clear"></div>
</div>

*/ ?>

<!--<div class="infoProfile less-space" id="brand-info-sidebar">-->
<div class="infoProfile" id="brand-info-sidebar">
    <?php
    if($bannerUrl) { ?>
    <a data-target-segment="landing" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'landing']) ?>">
        <div class="miniBox" style="background-image: url('<?= $bannerUrl ?>');">
            <div class="extraMiniBox page-avatar-change-button">
                <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
            </div>
        </div>
    </a>
    <?php }else{ ?>
    <a data-target-segment="landing" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'landing']) ?>">
        <div class="miniBox">
            <div class="extraMiniBox page-avatar-change-button">
                <?= $this->imageLinker()->getBrandAvatarHTML($brand); ?>
            </div>
        </div>
    </a>
    <?php } ?>

    <a data-target-segment="landing" href="<?= $this->url('brand', ['url' => $brand->url, 'segmentOrId' => 'landing']) ?>"><h3><?= $brand->name ?></h3></a>
    <div class="left50 loving-us">
        <?php /* ?><p><?= $brand->loveCount ?></p><?php */ ?>
        <p><?php echo $counts['totalLoveingUs']; ?></p>
        <span>LOVING US</span>
    </div>
    <div class="right50 loved-stories">
        <?php /* ?><p><?= $brand->lovedStoryCount ?></p><?php */ ?>
        <p><?php echo $counts['totalLovedStories']; ?></p>
        <span>LOVED STORIES</span>
    </div>
    <div class="clear"></div>

    <div id="love-brand-btn">
        <button class="love-brand-button aboutButton"><i class="fa fa-heart-o" aria-hidden="true"></i><span class="content"></span></button>
        <li class="dropdown"><a class="dropdown-toggle" data-toggle="dropdown" href="#" role="button" aria-haspopup="true" aria-expanded="false"><button class="connected aboutButton"><i class="fa fa-plus" aria-hidden="true"></i>Connect <span class="caret insideCaret"></span></button></a>
            <ul class="dropdown-menu lovePopup">
                <div class="lovePop">
                    <ul>
                        <p>Connected with?</p>
                        <li><a href="#"><img src="/images/unchecked.png"><span>Story</span></a></li>
                        <li><a href="#"><img src="/images/unchecked.png"><span>Product</span></a></li>
                        <li><a href="#"><img src="/images/checked.png"><span>Everything</span></a></li>
                    </ul>
                </div>
            </ul>
        </li>
        <ul class="infoProfileMenu haveit2">

    <?php if($isBrandAdmin || !empty($brand->location)){ ?>
        <li>
            <i class="fa fa-map-marker haveit" aria-hidden="true"></i>
            <?php if($isBrandAdmin){ ?>
                <div data-type="loaction" class="loaction-textarea textbox-area">
                    <input type="text" class="sidebar-text loaction-text" placeholder="Add Location" value="<?= $brand->location ?>" onblur="onBlurSidebarText('loaction', this);">
                </div>

                <?php 
                    $btnText = '<img src="/images/addplus.png" /><span>Add location</span>';
                    $hasClass = '';
                    if(!empty($brand->location))
                    {
                        $btnText = '<span>'.$brand->location.'</span>'; 
                        $hasClass = 'has-text';
                    }
                ?>
                <button data-type="loaction" type="button" class="btn btn-sidebar add-loaction <?= $hasClass ?> show">
                    <?= $btnText ?>
                </button>
            <?php }else{ ?>
                <?php if(!empty($brand->location)){ ?>
                    <p><?=$brand->location?></p>
                <?php } ?>
            <?php } ?>
        </li>
        <?php } ?>
        
        <?php if($isBrandAdmin || !empty($brand->phone)){ ?>
        <li>
            <i class="fa fa-phone haveit" aria-hidden="true"></i>
            <?php if($isBrandAdmin){ ?>
                <div data-type="phone" class="phone-textarea textbox-area">
                    <input type="text" class="sidebar-text phone-text" placeholder="Add Phone" value="<?= $brand->phone ?>" onblur="onBlurSidebarText('phone', this);">
                </div>
                <?php 
                    $btnText = '<img src="/images/addplus.png" /><span>Add Phone</span>';
                    $hasClass = '';
                    if(!empty($brand->phone))
                    {
                        $btnText = '<span>'.$brand->phone.'</span>'; 
                        $hasClass = 'has-text';
                    }
                ?>
                <button data-type="phone" type="button" class="btn btn-sidebar add-phone <?= $hasClass ?> show">
                    <?= $btnText ?>
                </button>
            <?php }else{ ?>
                <p><?=$brand->phone?></p>
            <?php } ?>
        </li>
        <?php } ?>
        
        <?php if($isBrandAdmin || !empty($brand->web)){ ?>
        <li>
            <img class="i haveit" src="/images/web.png">
            <?php if($isBrandAdmin){ ?>
                <div data-type="web" class="web-textarea textbox-area">
                    <input type="text" class="sidebar-text web-text" placeholder="Add Web Address" value="<?= $brand->web ?>" onblur="onBlurSidebarText('web', this);">
                </div>
                <?php 
                    $btnText = '<img src="/images/addplus.png" /><span>Add Web Address</span>';
                    $hasClass = '';
                    $titleTag = '';
                    if(!empty($brand->web))
                    {
                        $btnText = '<span>'.$brand->web.'</span>'; 
                        $hasClass = 'has-text';
                        $titleTag = $brand->web;
                    }
                ?>
                <button title="<?= $titleTag ?>" data-type="web" type="button" class="btn btn-sidebar add-web <?= $hasClass ?> show text-nowrap">
                    <?= $btnText ?>
                </button>
            <?php }else{ ?>
                <p>
                    <a href="<?=$brand->web?>" target="_blank" title="<?=$brand->web?>"><?=$brand->web?></a>
                </p>
            <?php } ?>
        </li>
        <?php } ?>
    </ul>
    <input type="hidden" value="<?= $brand->id; ?>" id="hdnBrandID" />
    <div class="clear"></div>
</div>

<script type="text/javascript">
function initSidebarTab()
{
    $('.btn-sidebar').on('click', function(){
        var type = $(this).data('type');
        $(this).removeClass('show');
        $('.'+type+'-textarea').addClass('show');
        $('.'+type+'-textarea .sidebar-text').focus();
    });
}

function onBlurSidebarText(type, obj)
{
    var value = $(obj).val().trim();
   /* if(value != "")
    {*/
        var brandID = $('#hdnBrandID').val();
        window.ajaxSubmitCheck("<?= $this->url("manageBrand", ["id" => 'BRANDID']) ?>".replace(/BRANDID/, brandID), {
            'type' : type,
            'value' : value,
        }, function (data) {
            console.log(data);
            if(data.status == 'ok')
            {
                var brand = data.thisBrand;
            
                var btnText = '';
                var text = '';
                var hasCls = false;
                switch(type)
                {
                    case 'loaction':
                            btnText = '<img src="/images/addplus.png" /><span>Add Location</span>';
                            if(brand.location.trim() != "")
                            {
                                btnText = '<span>'+brand.location+'</span>';
                                text = brand.location;
                                hasCls = true;
                            }
                        break;
                    
                    case 'web':
                            btnText = '<img src="/images/addplus.png" /><span>Add Web Address</span>';
                            if(brand.web.trim() != "")
                            {
                                btnText = '<span>'+brand.web+'</span>';
                                text = brand.web;
                                hasCls = true;
                                $('.add-'+type).attr('title', text);
                            }
                        break;
                    
                    case 'phone':
                            btnText = '<img src="/images/addplus.png" /><span>Add Phone</span>';
                            if(brand.phone.trim() != "")
                            {
                                btnText = '<span>'+brand.phone+'</span>';
                                text = brand.phone;
                                hasCls = true;
                            }
                        break;
                }
                
                $('.'+type+'-textarea .'+type+'-text').val(text);
                $('.add-'+type).html(btnText);
                if(hasCls)
                {
                    $('.add-'+type).addClass('has-text');
                }
                else
                {
                    $('.add-'+type).removeClass('has-text');
                }
                
                $('.'+type+'-textarea').removeClass('show');
                $('.add-'+type).addClass('show');
            }
        }, function(serverside, message) {
            console.log("Comment loading error", serverside, message);           
        });
    
    /*}
    else
    {
        $('.'+type+'-textarea').removeClass('show');
        $('.add-'+type).addClass('show');
        $('.add-'+type).removeClass('has-text');
    }*/
}

window.onFeedJS.push(initSidebarTab);
window.onFeedJS.push(function () {
    window.feed.onSegmentChanged.push(initSidebarTab);
});
</script>